package jp.gihyo;

import org.apache.wicket.markup.html.WebPage;
import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.link.Link;
import org.apache.wicket.model.PropertyModel;

public class CompletePage extends WebPage {
	
	public CompletePage(PersonModel personModel) {
		super();
		add(new Label("firstName", new PropertyModel(personModel, "firstName")));
		add(new Label("lastName", new PropertyModel(personModel, "lastName")));
		add(new Link("back") {
			@Override
			public void onClick() {
				setResponsePage(GeneralPage.class);
			}
		});
	}

}
