package jp.gihyo;

import java.util.Arrays;

import org.apache.wicket.markup.html.WebPage;
import org.apache.wicket.markup.html.form.DropDownChoice;
import org.apache.wicket.markup.html.form.Form;
import org.apache.wicket.markup.html.form.TextField;
import org.apache.wicket.model.CompoundPropertyModel;

public class GeneralPage extends WebPage {
	
	private PersonModel model;
	
	public GeneralPage() {
		super();
		model = new PersonModel();
		model.setAge("30's");
		Form form = new Form("form", new CompoundPropertyModel(model)) {
			@Override
			protected void onSubmit() {
				setResponsePage(new ContactPage(GeneralPage.this));
			}
		};
		form.add(new TextField("firstName"));
		form.add(new TextField("lastName"));
		form.add(new DropDownChoice("age",
				Arrays.asList("10's", "20's", "30's", "40's", "50's")));
		add(form);
	}

	public PersonModel getPersonModel() {
		return model;
	}

}
